# PCLinuxOS Copyright by Bill Reynolds (Texstar)

Name:		roadfighter
Version:	1.0.1269
Release:	%mkrel 1
Summary:	Konami's Road Fighter remake
Summary(de):	Konami's Road Fighter Remake
Group:		Games/Arcade
# http://www.braingames.getput.com/forum/forum_posts.asp?TID=678&PN=1
License:	Distributable
URL:		http://roadfighter.jorito.net/
Source0:	http://braingames.jorito.net/roadfighter/downloads/%{name}.src_%{version}.tar.xz
Patch0:		roadfighter-1.0.1269-Makefile.patch
Patch1:		roadfighter-1.0.1269-sformat.patch
Patch2:		roadfighter-1.0.1269-datapath.patch
Patch3:		roadfighter-1.0.1269-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	imagemagick

%description
This is a remake of a car-based arcade game developed by Konami and released
in 1984. The goal is to reach the finish line within the stages without
running out of time, hitting other cars or running out of fuel.
#german
%description -l de
Mit den Pfeiltasten steuert man die Miniaturflitzer in drei Schwierigkeitsstufen 
über die Piste. Auf Wunsch tritt man im Splitscreen-Modus gegen einen menschlichen 
Mitspieler an. Dabei sollte man sich sowohl vor drängelnden Gegnern als auch der 
Leitplanke in Acht nehmen: Eine Kollision bedeutet in Road Fighter Remake schnell 
das Aus. Auch langsame Trucks und Hindernisse auf der Strecke gilt es gekonnt zu 
umfahren. Mit etwas Geschick gewinnt man am Ende das Rennen und knackt die Highscore.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Fix char encondig
iconv --from=ISO-8859-1 --to=UTF-8 readme.txt > readme.txt.utf8
touch -r readme.txt readme.txt.utf8
mv readme.txt.utf8 readme.txt

%build
export CFLAGS="%{optflags}"
%make

%install
rm -rf %{buildroot}

# Install game and data
install -d %{buildroot}%{_gamesbindir}
install -m 755 -p %{name} %{buildroot}%{_gamesbindir}/
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -pr fonts graphics maps sound %{buildroot}%{_gamesdatadir}/%{name}/

# Install icon
mkdir -p %{buildroot}%{_iconsdir}
convert -resize 32x32 \
  -frame 0x3 \
  -mattecolor '#dfdfdf' \
  -transparent '#dfdfdf' \
  build/linux/roadfighter.png \
  %{buildroot}%{_iconsdir}/%{name}.png

# Install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Road Fighter
Comment=Racing game
Comment[de]=Rennspiel
Exec=%{_gamesbindir}/%{name}
Icon=roadfighter
Terminal=false
Type=Application
Categories=GNOME;GTK;Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
StartupNotify=false
EOF


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root,-)
%doc readme.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Sat Mar 17 2012 Neal <nealbrks0 at gmail dot com> 2.7.0-1pclos2012
- process

* Thu Mar 15 2012 leiche <meisssw01 at mail.com> 2.7.0-1pclos2012
- initial package (pushed by Agent Smith)
+ Revision: 740732
- add german description
- convert archive to xz

